package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Cct;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface CctMapper {

    int insert(Cct record);

    int insertSelective(Cct record);

    int updateByPrimaryKeySelective(Cct record);

    int updateByPrimaryKey(Cct record);

    int deleteByPrimaryKey(Cct record);

    int deleteByIds(Collection<Object> collection);

    Cct selectByPrimaryKey(Cct record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Cct> dyncRead(Map<String,Object> dyncMap);

}
